---
name: Bug report
about: Create a report to help us reproduce and correct the bug
title: ''
labels: ''
assignees: ''

---

<!--
Before submitting a bug, please make sure the issue hasn't been already
addressed by searching through the past issues.
-->

**Describe the bug**

A clear and concise description of what the bug is.

**Code Sample to Reproduce the Bug**

```python
# Insert your code here that produces the bug.
# This example should be as succinct as possible and self-contained,
# i.e., not rely on external data.
# We are going to copy-paste your code and we expect to get the same result as you.
# It should run in a fresh python session, and so include all relevant imports.
```

**Expected Results**
A clear and concise description of what you expected to happen.

**Actual Results**
Please paste or specifically describe the actual output or traceback.

**Versions**
Please execute the following snippet and paste the output below.

```python
import sklearn; sklearn.show_versions()
import sksurv; print("sksurv:", sksurv.__version__)
import cvxopt; print("cvxopt:", cvxopt.__version__)
import cvxpy; print("cvxpy:", cvxpy.__version__)
import numexpr; print("numexpr:", numexpr.__version__)
import osqp; print("osqp:", osqp.OSQP().version())
```
